htdb_load(1)

NAME
htdb_load - displays statistics for Berkeley DB environments.

SYNOPSIS
htdb_load [-nTzW] [-c name=value] [-f file] [-h home] [-C cachesize] [-t btree | hash | recno] db_file

DESCRIPTION
The htdb_load utility reads from the standard input and loads it into the database db_file The database db_file is created if it does not already exist. The input to htdb_load must be in the output format specified by the htdb_dump utility, or as specified for the -T below.

OPTIONS

-W  Initialize WordContext(3) before loading. With the -z flag allows to load inverted indexes using the mifluz(3) specific compression scheme. The MIFLUZ_CONFIG environment variable must be set to a file containing the mifluz(3) configuration.

-z  The db_file is compressed. If -W is given the mifluz(3) specific compression scheme is used. Otherwise the default gzip compression scheme is used.

-c  Specify configuration options for the DB structure ignoring any value they may have based on the input. The command-line format is name=value See Supported Keywords for a list of supported words for the -c option.

-f  Read from the specified input file instead of from the standard input.

-h  Specify a home directory for the database. If a home directory is specified, the database environment is opened using the DB_INIT_LOCK , DB_INIT_LOG , DB_INIT_MPOOL , DB_INIT_TXN and DB_USE_ENVIRON flags to DBENV->open. This means that htdb_load can be used to load data into databases while they are in use by other processes. If the DBENV->open call fails, or if no home directory is specified, the database is still updated, but the environment is ignored, e.g., no locking is done.

-n  Do not overwrite existing keys in the database when loading into an already existing database. If a key/data pair cannot be loaded into the database for this reason, a warning message is displayed on the standard error output and the key/data pair are skipped.

-T  The -T option allows non-Berkeley DB applications to easily load text files into databases. If the database to be created is of type Btree or Hash, or the keyword keys is specified as set, the input must be paired lines of text, where the first line of the pair is the key item, and the second line of the pair is its corresponding data item. If the database to be created is of type Queue or Recno and the keywork keys is not set, the input must be lines of text, where each line is a new data item for the database. A simple escape mechanism, where newline and backslash ( characters are special, is applied to the text input. Newline characters are interpreted as record separators. Backslash characters in the text will be interpreted in one of two ways: if the backslash character precedes another backslash character, the pair will be interpreted as a literal backslash. If the backslash character precedes any other character, the two characters following the backslash will be interpreted as hexadecimal specification of a single character, e.g., a is a newline character in the ASCII character set. For this reason, any backslash or newline characters that naturally occur in the text input must be escaped to avoid misinterpretation by htdb_load If the -T option is specified, the underlying access method type must be specified using the -t option.

-t  Specify the underlying access method. If no -t option is specified, the database will be loaded into a database of the same type as was dumped, e.g., a Hash database will be created if a Hash database was dumped. Btree and Hash databases may be converted from one to the other. Queue and Recno databases may be converted from one to the other. If the -k option was specified on the call to htdb_dump then Queue and Recno databases may be converted to Btree or Hash, with the key being the integer record number.

-V  Write the version number to the standard output and exit.

The htdb_load utility attaches to one or more of the Berkeley DB shared memory regions. In order to avoid region corruption, it should always be given the chance to detach and exit gracefully. To cause htdb_load to clean up after itself and exit, send it an interrupt signal (SIGINT). The htdb_load utility exits 0 on success, 1 if one or more key/data pairs were not loaded into the database because the key already existed, and >1 if an error occurs.

KEYWORDS
The following keywords are supported for the -c command-line option to the htdb_load utility. See DB->open for further discussion of these keywords and what values should be specified. The parenthetical listing specifies how the value part of the name=value pair is interpreted. Items listed as (boolean) expect value to be 1 (set) or 0 (unset). Items listed as (number) convert value to a number. Items listed as (string) use the string value without modification.

bt_minkey (number)
    The minimum number of keys per page.

db_lorder (number)
    The byte order for integers in the stored database metadata.

db_pagesize (number)
    The size of pages used for nodes in the tree, in bytes.

duplicates (boolean)
    The value of the DB_DUP flag.

h_ffactor (number)
    The density within the Hash database.

h_nelem (number)
    The size of the Hash database.

keys (boolean)
    Specify if keys are present for Queue or Recno databases.

re_len (number)
    Specify fixed-length records of the specified length.

re_pad (string)
    Specify the fixed-length record pad character.

recnum (boolean)
    The value of the DB_RECNUM flag.

renumber (boolean)
    The value of the DB_RENUMBER flag.

subdatabase (string)
    The subdatabase to load.

ENVIRONMENT
DB_HOME If the -h option is not specified and the environment variable DB_HOME is set, it is used as the path of the database home. MIFLUZ_CONFIG file name of configuration file read by WordContext(3). Defaults to ~/.mifluz.

AUTHORS
Sleepycat Software http://www.sleepycat.com/ Loic Dachary loic@gnu.org The Ht://Dig group http://dev.htdig.org/

SEE ALSO
htdb_dump(1), htdb_stat(1), mifluzdump(1), mifluzload(1), mifluzsearch(1), mifluzdict(1), WordContext(3), WordList(3), WordDict(3), WordListOne(3), WordKey(3), WordKeyInfo(3), WordType(3), WordDBInfo(3), WordRecordInfo(3), WordRecord(3), WordReference(3), WordCursor(3), WordCursorOne(3), WordMonitor(3), Configuration(3), mifluz(3)